#include<iostream>
using namespace std;
int main()
{
    long long duljina,purvi,uvelichenie,br=0,ostatuk=0;
    cin>>duljina>>purvi>>uvelichenie;
    ostatuk=duljina;
    for(long long i=purvi; i<=duljina; i=i+uvelichenie)
    {
        ostatuk=ostatuk-i;
        br=br+1;
        if(ostatuk<0){
            cout<<br;
            return 0;
        }
    }
   /// cout<<br-1;



    return 0;
}



/*
#include<iostream>
using namespace std;
int main()
{
    int duljina,purvi,uvelichenie,br=0;
    cin>>duljina>>uvelichenie>>purvi;
    for(int i=purvi; i<=duljina; i=i+uvelichenie)
    {
        br=br+1;
         cout<<i<<" ";
    }
   /// cout<<br-1;



    return 0;
}
*/
